%define name	qdvdauthor
%define version	0.0.2
%define release 2mdk

Name: 	 	%{name}
Summary: 	GUI to create DVD menus and images from media files
Version: 	%{version}
Release: 	%{release}

Source:		%{name}.%{version}.tar.bz2
URL:		http://qdvdauthor.sourceforge.net/
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig ImageMagick-devel
Requires:	dvdauthor mjpegtools dvd-slideshow ImageMagick

%description
'Q' DVD-Author is a GUI frontent for dvdauthor and related tools. The goal is
to provide an easy-to-use, yet powerful and complete interface to generate DVD
menus, slideshows, and videos to burn on a DVD under Linux.

%prep
%setup -q -n %name
perl -p -i -e 's/lqt/lqt-mt/g' Makefile
perl -p -i -e 's/usr\/local/usr/g' qdvdauthor.cpp

%build
%make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp %name $RPM_BUILD_ROOT/%_bindir/

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="QDVDAuthor" longtitle="DVD creator" section="Multimedia/Video"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 images/to_dvd2.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 images/to_dvd2.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 images/to_dvd2.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%{_bindir}/%name
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Sat Feb 7 2004 Austin Acton <austin@mandrake.org> 0.0.2-2mdk
- point to /usr/bin not /usr/local/bin for helper apps

* Sat Feb 7 2004 Austin Acton <austin@mandrake.org> 0.0.2-1mdk
- initial package
